Skip to content

Get application suppression requests

Request

Returns the suppression requests related to the application

Security
bearer-key
Path
applicationUuidstringrequired

application UUID.

GET
/api/v3.0/orgs/{orgUuid}/applications/{applicationUuid}/approvalRequests
curl -i -X GET \
  'https://baseUrl/api/v3.0/orgs/{orgUuid}/applications/{applicationUuid}/approvalRequests' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(Provides insights into endpoint-supported pagination information.)
  • totalItems: The total count of data points returned in an API response.
Example:
{ "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }
supportTokenstring(Support Token)
Example:"1171c60d"
responseArray of objects(ProjectApprovalRequestDTOV3)
Response
{ "additionalData": { "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }, "supportToken": "1171c60d", "response": [ {} ] }